<?php
  
//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=blogs&section=users&id=".$account['ID']."'>".LG('Блог')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".TEXT_ABSOLUTE($blog['NAME'])."";
ECHO "</div>";

$column = DB::GET_COLUMN("SELECT COUNT(`ID`) FROM `BLOGS_LIKES` WHERE `BLOG_ID` = '".$blog['ID']."'");
$spage = SPAGE($column, $page_settings);
$page = PAGE($spage);
$limit = $page_settings * $page - $page_settings;
                         
IF ($column == 0){
  
  HTML::EMPTY();
  
}ELSE{
  
  ECHO "<div class='list-body'>";
  
  ECHO "<div class='list-menu'>";
  ECHO " ".LG('Запись оценили').":";
  ECHO "</div>";
  
}

$data = DB::GET_STRING_ALL("SELECT * FROM `BLOGS_LIKES` WHERE `BLOG_ID` = '".$blog['ID']."' ORDER BY `TIME` DESC LIMIT ".$limit.", ".$page_settings."");
  
WHILE ($list = $data->FETCH()){
  
  ECHO "<div class='list-menu'>";
  
  USER::LOGIN($list['USER_ID'], 1, 1);
  
  ECHO "<span class='time'>- ".FTIME($list['TIME'])."</span>";
  
  ECHO "</div>";
  
}

IF ($column > 0){

  ECHO "</div>";
  
}

IF ($spage > 1){ ECHO STR_PAGE('/modules/?path=blogs&section=show&id='.$blog['ID'].'&get=like_list&', $spage, $page); }

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=blogs&section=show&id=".$blog['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
ECHO "</div>";
  
//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=blogs&section=users&id=".$account['ID']."'>".LG('Блог')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".TEXT_ABSOLUTE($blog['NAME'])."";
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;
  
?>